Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 601901 - (CVE-2010-2191, MOPS-2010-049, MOPS-2010-050, MOPS-2010-051, MOPS-2010-052, MOPS-2010-053, MOPS-2010-054, MOPS-2010-055) CVE-2010-2191 php: multiple interruption vulnerabilities (MOPS-2010-0[49,50,51,52,53,54,55])
CVE-2010-2191 php: multiple interruption vulnerabilities (MOPS-2010-0[49,50,5...
Status: CLOSED DUPLICATE of bug 169857
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Red Hat Product Security
impact=none,source=internet,reported=...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 16:36 EDT by Vincent Danen
Modified: 2015-08-19 04:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-28 05:54:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
MOPS-2010-049 reproducer (1.48 KB, text/plain)
2010-07-28 03:11 EDT, Tomas Hoger
no flags Details
MOPS-2010-050 reproducer (1.27 KB, text/plain)
2010-07-28 04:34 EDT, Tomas Hoger
no flags Details
MOPS-2010-051 reproducer (1.20 KB, text/plain)
2010-07-28 04:34 EDT, Tomas Hoger
no flags Details
MOPS-2010-052 reproducer (1.31 KB, text/plain)
2010-07-28 04:38 EDT, Tomas Hoger
no flags Details
MOPS-2010-053 reproducer (1.35 KB, text/plain)
2010-07-28 05:32 EDT, Tomas Hoger
no flags Details
MOPS-2010-054 reproducer (1.47 KB, text/plain)
2010-07-28 05:51 EDT, Tomas Hoger
no flags Details
MOPS-2010-055 reproducer (916 bytes, text/plain)
2010-07-28 05:52 EDT, Tomas Hoger
no flags Details

  None (edit)
Description Vincent Danen 2010-06-08 16:36:45 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2191 to
the following vulnerability:

The (1) parse_str, (2) preg_match, (3) unpack, and (4) pack functions;
the (5) ZEND_FETCH_RW, (6) ZEND_CONCAT, and (7) ZEND_ASSIGN_CONCAT
opcodes; and the (8) ArrayObject::uasort method in PHP 5.2 through
5.2.13 and 5.3 through 5.3.2 allow context-dependent attackers to
obtain sensitive information (memory contents) or trigger memory
corruption by causing a userspace interruption of an internal function
or handler.  NOTE: vectors 2 through 4 are related to the call time
pass by reference feature.

References:
http://www.php-security.org/2010/05/31/mops-2010-049-php-parse_str-interruption-memory-corruption-vulnerability/index.html
http://www.php-security.org/2010/05/31/mops-2010-050-php-preg_match-interruption-information-leak-vulnerability/index.html
http://www.php-security.org/2010/05/31/mops-2010-051-php-unpack-interruption-information-leak-vulnerability/index.html
http://www.php-security.org/2010/05/31/mops-2010-052-php-pack-interruption-information-leak-vulnerability/index.html
http://www.php-security.org/2010/05/31/mops-2010-053-php-zend_fetch_rw-opcode-interruption-information-leak-vulnerability/index.html
http://www.php-security.org/2010/05/31/mops-2010-054-php-zend_concatzend_assign_concat-opcode-interruption-information-leak-and-memory-corruption-vulnerability/index.html
http://www.php-security.org/2010/05/31/mops-2010-055-php-arrayobjectuasort-interruption-memory-corruption-vulnerability/index.html
Comment 1 Tomas Hoger 2010-07-28 03:11:18 EDT
Created attachment 434935 [details]
MOPS-2010-049 reproducer

Upstream fix:
  http://svn.php.net/viewvc?view=revision&revision=299281
Comment 2 Tomas Hoger 2010-07-28 04:34:29 EDT
Created attachment 434949 [details]
MOPS-2010-050 reproducer
Comment 3 Tomas Hoger 2010-07-28 04:34:52 EDT
Created attachment 434950 [details]
MOPS-2010-051 reproducer
Comment 4 Tomas Hoger 2010-07-28 04:38:06 EDT
Created attachment 434952 [details]
MOPS-2010-052 reproducer

Upstream fix:
  http://svn.php.net/viewvc?view=revision&revision=299279
Comment 5 Tomas Hoger 2010-07-28 05:32:45 EDT
Created attachment 434958 [details]
MOPS-2010-053 reproducer

This reproducer crashes PHP 5.3.3.
Comment 6 Tomas Hoger 2010-07-28 05:51:31 EDT
Created attachment 434966 [details]
MOPS-2010-054 reproducer
Comment 7 Tomas Hoger 2010-07-28 05:52:15 EDT
Created attachment 434968 [details]
MOPS-2010-055 reproducer

Upstream fix included in 5.3.3:
  http://svn.php.net/viewvc?view=revision&revision=299327
Comment 8 Tomas Hoger 2010-07-28 05:54:42 EDT
More info on the impact of the interruption vulnerabilities - bug #617578,
comment #3.

*** This bug has been marked as a duplicate of bug 169857 ***
Comment 9 Tomas Hoger 2010-07-28 05:54:58 EDT
Statement:

Red Hat does not consider interruption issues allowing safe_mode / open_basedir
restriction bypass to be security sensitive.  For more details see
https://bugzilla.redhat.com/show_bug.cgi?id=169857#c1 and
http://www.php.net/security-note.php

Note You need to log in before you can comment on or make changes to this bug.